function vtk_write_volume(vol,fname,varargin)

if nargin < 3 || isempty(varargin{1})
    info = 0; else info = varargin{1}; end

% Get the matrix dimensions.
[N M O] = size(vol);

mx = max(vol(:));

% Open file
fid = fopen(fname,'w');

nl = sprintf('\n'); % Stupid matlab doesn't interpret \n normally.
fwrite(fid, ['# vtk DataFile Version 2.0' nl 'Volume example' nl 'ASCII' nl ...
    'DATASET STRUCTURED_POINTS' nl ...
    'DIMENSIONS ' num2str((N)) ' ' num2str((M)) ' ' num2str((O)) nl ...
    'ASPECT_RATIO ' num2str(info.PixelDimensions(1)) ' ' num2str(info.PixelDimensions(2)) ' ' num2str(info.PixelDimensions(3)) nl ...
    'ORIGIN ' num2str(info.Origin(1)) ' ' num2str(info.Origin(2)) ' ' num2str(info.Origin(3)) nl ...
    'POINT_DATA ' num2str(info.NumberOfComponents) nl ...
    'SCALARS volume_scalars char 1' nl 'LOOKUP_TABLE default' nl]);

% vol = vol - min(vol(:));
% vol = 255 * vol ./ max(vol(:));
% vol = uint8(vol);

for z = 1:O

    % Get this layer.
    v = vol(:, :, z);
    % Scale it. This assumes there are no negative numbers. I'm not sure
    % this is actually necessary.
%     v = round(255 .* v(:) ./ mx);
    % Write the values as text numbers.
    fwrite(fid,num2str(v'));
    % Newline.
    fwrite(fid,nl,'double');
    
    % Display progress.
    prc = round(100*z/O);
    if mod(prc,25) == 0
        disp([num2str(prc) '%']);
    end
end


% % Skip header
% datasize=prod(info.Dimensions)*info.BitDepth/8;
% % write the Data
% switch(lower(info.DatasetFormat(1)))
%     case 'b'
%         switch(info.DataType)
%             case 'char'
%                  (fwrite(fid,vol,'char')); 
%             case 'uchar'
%                 (fwrite(fid,vol,'uchar')); 
%             case 'short'
%                (fwrite(fid,vol,'short')); 
%             case 'ushort'
%                (fwrite(fid,vol,'ushort')); 
%             case 'int'
%                (fwrite(fid,vol,'int')); 
%             case 'uint'
%                (fwrite(fid,vol,'uint')); 
%             case 'float'
%                (fwrite(fid,vol,'float'));   
%             case 'double'
%              (fwrite(fid,vol,'double'));
%         end
%     case 'a'
%         t=prod(info.Dimensions);
%         switch(info.DataType)
%             case 'char', type='int8';
%             case 'uchar', type='uint8';
%             case 'short', type='int16';
%             case 'ushort', type='uint16';
%             case 'int', type='int32';
%             case 'uint', type='uint32';
%             case 'float', type='single';
%             case 'double', type='double';
%             otherwise, type='double';
%         end
%         V=zeros([1 t],type);
%         for i=1:t, V(i)=str2double(fgetl(fid)); end
% end
% 
% fclose(fid);

