function write_mhd2d(image,name,sizeImage,spacing,varargin)

if nargin < 5 || isempty(varargin{1})
    offset = [0 0 0]; else offset = varargin{1}; end

% plane_info tells where I want to put the image
fid = fopen(sprintf('%s.raw',name),'wb');
fwrite(fid,image','short');
fclose(fid);

% Writing header file
fid = fopen(sprintf('%s.mhd',name),'w');
fprintf(fid,'%s\n','ObjectType = Image');
fprintf(fid,'%s\n','NDims = 3');
fprintf(fid,'%s %d %d %d\n','ElementSpacing = ', spacing(1), spacing(2), spacing(3));
fprintf(fid,'%s %d %d %d\n','DimSize =', sizeImage(1), sizeImage(2), sizeImage(3));
fprintf(fid,'%s %d %d %d\n','Offset =', offset(1), offset(2), offset(3));
fprintf(fid,'%s\n','ElementType = MET_SHORT');
[~, name2, ext] = fileparts(name);
fprintf(fid,'%s%s%s.raw\n','ElementDataFile = ',name2,ext);
fclose(fid);

