function [minsliceout,maxsliceout]=write_mhd_image(image,name,spacing)

sizeImage=size(image);
nSlices=sizeImage(3);
nPixelsPerSlice = sizeImage(1)*sizeImage(2);

offset=zeros(1,3);
fid = fopen(sprintf('%s.raw',name),'wb');

for s=1:nSlices
	slice=image(:,:,s);
    slice(isnan(slice))=0;
    tmp=reshape(slice,1,nPixelsPerSlice);
    fwrite(fid,tmp,'short');
end

fclose(fid);

% Writing header file
fid = fopen(sprintf('%s.mhd',name),'w');
fprintf(fid,'%s\n','ObjectType = Image');
fprintf(fid,'%s\n','NDims = 3');
fprintf(fid,'%s\n','BinaryData = True');
fprintf(fid,'%s\n','BinaryDataByteOrderMSB = False');
fprintf(fid,'%s\n','TransformMatrix = 1 0 0 0 1 0 0 0 1');
fprintf(fid,'%s %f %f %f\n','Offset = ', offset(1), offset(2), offset(3));
fprintf(fid,'%s\n','CenterOfRotation = 0 0 0');

fprintf(fid,'%s %d %d %d\n','ElementSpacing = ', spacing(1), spacing(2), spacing(3));
fprintf(fid,'%s %d %d %d\n','DimSize =', sizeImage(1), sizeImage(2), sizeImage(3));
fprintf(fid,'%s\n','AnatomicalOrientation = ???');
fprintf(fid,'%s\n','ElementType = MET_SHORT');
[pathstr, name2, ext] = fileparts(name);
fprintf(fid,'%s%s%s.raw\n','ElementDataFile = ',name2,ext);
fclose(fid);

